Bug 244778 - libjpeg patch4 is not applied
Summary: libjpeg patch4 is not applied
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libjpeg (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Tom Lane
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 04:43 UTC by Dennis Gilmore
Modified: 2013-07-03 03:13 UTC (History)
2 users (show)

Fixed In Version: 6b-38.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-11 15:23:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2007-06-19 04:43:07 UTC
Description of problem:
the cflags patch  patch4 is not applied.  please have it applied

Comment 1 Tom Lane 2007-06-19 04:57:10 UTC
[ new maintainer here... ]  That patch seems a tad random, and given the lack of other complaints I'm not 
in any big hurry to turn it on.  What problem are you hoping it would solve?

Comment 2 Dennis Gilmore 2007-06-19 05:01:31 UTC
without it turned on sparc64 fails to build as  gcc is used to link.  the 
default sparc cflags are for sparc not sparc64  the patch makes linking 
correct in all cases.

Comment 3 Tom "spot" Callaway 2007-06-25 16:30:23 UTC
OK, so here's the long answer:

We need a sparc and sparc64 set of BuildRequires for gcc and glibc. This means
that libjpeg needs to be built for both architecture variants. Unfortunately,
without passing CFLAGS on every invocation of CC, gcc assumes that we want to
build for sparc32 (-m32). This works fine on sparc32, but when we're trying to
build for sparc64, this fails (sometimes, we get files built as sparc32
binaries, sometimes, the object files build as sparc64, but gcc tries to link it
as a sparc32 binary which explodes violently). This patch simply enforces that
CFLAGS are used whenever CC is called, and ensures that we get a clean build out
on sparc64. This is always going to be correct, it just happens to cause a
failure on sparc64.

Please apply the patch. :)

Comment 4 Tom Lane 2007-06-26 03:49:10 UTC
The real fix here is probably to forcibly apply a modern autoconf script, but for the moment I've 
incorporated this patch into libjpeg-6b-38, pushed to F7 testing today.

Comment 5 Fedora Update System 2007-06-27 03:51:33 UTC
libjpeg-6b-38.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2007-07-11 15:23:18 UTC
libjpeg-6b-38.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.